using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Telerik.WinControls.UI;

namespace WindowsApplication1
{
	public partial class Form1 : Form
	{
		public Form1()
		{
			InitializeComponent();
		}

		private RadGridView gridview;

		private void Form1_Load(object sender, EventArgs e)
		{
			Color[] colors = new Color[] { Color.Red, Color.Green, Color.Blue };
			
			radGridView1.Columns.Add(new GridViewTextBoxColumn("col1"));
			radGridView1.Columns.Add(new GridViewTextBoxColumn("col2"));
			radGridView1.Columns.Add(new GridViewTextBoxColumn("col3"));
			radGridView1.Columns.Add(new GridViewTextBoxColumn("col4"));			

			GridViewComboBoxColumn comboCol = new GridViewComboBoxColumn("col5");
			comboCol.DataSource = colors;
			comboCol.DisplayMember = "Name";
			comboCol.ValueMember = "Name";
			radGridView1.Columns.Add(comboCol);

			DataTable customers = new DataTable();
			customers.Columns.Add("col1", typeof(int));
			customers.Columns.Add("col2", typeof(string));
			customers.Columns.Add("col3", typeof(string));
			customers.Columns.Add("col4", typeof(string));
			customers.Columns.Add("col5", typeof(string));

			DataRow row = customers.NewRow();
			row["col1"] = 1;
			row["col2"] = "item 1";
			row["col5"] = "Red";
			customers.Rows.Add(row);

			row = customers.NewRow();
			row["col1"] = 2;
			row["col2"] = "item 2";
			row["col5"] = "Green";
			customers.Rows.Add(row);

			row = customers.NewRow();
			row["col1"] = 3;
			row["col2"] = "item 3";
			row["col5"] = "Blue";
			customers.Rows.Add(row);


			radGridView1.DataSource = customers;
		}

		private void radGridView1_Validated(object sender, EventArgs e)
		{
			string colName = radGridView1.MasterGridViewTemplate.CurrentColumn.UniqueName;
			if (colName == "col5")
			{
				MessageBox.Show(radGridView1.CurrentRow.Cells[colName].Value.ToString());
			}
		}		
	}
}